/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.aop.declare.datalayer;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.2 $
 */
public class MyVisitor
{
   public boolean visit(Vehicle obj)
   {
      return obj.accept(this);
   }

   public boolean visit(FourWheeler obj)
   {
      return obj.accept(this);
   }

   public boolean visit(Car obj)
   {
      return obj.accept(this);
   }

   public boolean visit(Truck obj)
   {
      return obj.accept(this);
   }

}
